summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xkud/hosting_providers/containerized/installer.sh3
-rwxr-xr-xkud/hosting_providers/vagrant/installer.sh3
2 files changed, 6 insertions, 0 deletions
diff --git a/kud/hosting_providers/containerized/installer.sh b/kud/hosting_providers/containerized/installer.sh
index f1b95acb..8739ca23 100755
--- a/kud/hosting_providers/containerized/installer.sh
+++ b/kud/hosting_providers/containerized/installer.sh
@@ -17,6 +17,9 @@ INSTALLER_DIR="$(readlink -f "$(dirname "${BASH_SOURCE[0]}")")"
function install_prerequisites {
#install package for docker images
+ echo "Removing ppa for jonathonf/python-3.6"
+ ls /etc/apt/sources.list.d/ || true
+ find /etc/apt/sources.list.d -maxdepth 1 -name '*jonathonf*' -delete || true
apt-get update
apt-get install -y curl vim wget git \
software-properties-common python-pip sudo
diff --git a/kud/hosting_providers/vagrant/installer.sh b/kud/hosting_providers/vagrant/installer.sh
index 235736e1..15974863 100755
--- a/kud/hosting_providers/vagrant/installer.sh
+++ b/kud/hosting_providers/vagrant/installer.sh
@@ -247,6 +247,9 @@ if [ -f $kud_folder/sources.list ]; then
sudo mv /etc/apt/sources.list /etc/apt/sources.list.backup
sudo cp $kud_folder/sources.list /etc/apt/sources.list
fi
+echo "Removing ppa for jonathonf/python-3.6"
+sudo ls /etc/apt/sources.list.d/ || true
+sudo find /etc/apt/sources.list.d -maxdepth 1 -name '*jonathonf*' -delete || true
sudo apt-get update
install_k8s
_set_environment_file